Subject: bug#52293: [External] : bug#52293: 29.0.50; [PATCH v3] Prevent further cases of duplicated separators in context menus

From: Drew Adams <[email-masked]>
Date: Tue, 14 Dec 2021 16:49:12 +0000

> > As Drew already noted, other menus have no such problem because
> > they are static, and the authors can easily ensure that a single
> > separator is used between submenus.
> 
> No, other menus aren't static, because Emacs adds and removes items to
> some menus as we see fit.  So I think this distinction is artificial
> and incorrect.  It is true that context menus are "more dynamic", so
> to say, but that's not a fundamental distinction.

To be clear, I never said that other menus are static.

I said only that someone (for whatever reasons) might
want to provide or allow consecutive separators, and
that that should be possible.  That's all.  And I
said that programmers can anyway make separators,
like other menu items, conditional (e.g. invisible).

And wrt Juri's context menus, I said I really don't
care much what you do wrt separators.

I've elsewhere expressed my displeasure in seeing
context menus implemented in the way Emacs is doing
that, but that was ignored.  (I use my own approach
to providing mouse-3 context menus, which allows the
standard, longstanding Emacs mouse-3 behavior at the
same time.)

My posts in this thread were only a concern that
automatic separator deletion be limited to context
menus.  It was confirmed that they are, which is good.